import { UmbLitElement } from '../../../../../core/lit-element/index.js';
import type { UmbWorkspaceViewElement } from '../../../../../core/workspace/index.js';
export declare class UmbRelationTypeDetailWorkspaceViewElement extends UmbLitElement implements UmbWorkspaceViewElement {
    #private;
    private _relations;
    private _parent?;
    private _child?;
    private _isBidirectional?;
    private _isDependency?;
    private _currentPageNumber;
    private _totalPages;
    private _loading;
    constructor();
    private _tableConfig;
    private _tableColumns;
    private get _tableItems();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbRelationTypeDetailWorkspaceViewElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-relation-type-detail-workspace-view': UmbRelationTypeDetailWorkspaceViewElement;
    }
}
